Skip to content

Get device readings​

GET
/devices/{id}/readings

Gets readings that a device has taken, such as battery voltage, temperature, humidity etc.

Use filtering to get a specific type.

Filter limitations

When filtering by time ranges, using the timestamp field, you are limited to at most 90 days of data at a time.
If you request more than 90 days, only the latest 90 days in your range will be returned.
A maximum of 10,000 readings can be returned in one request.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

device id

Type
number
Required
Format
"integer"

Query Parameters

filter

JSON Filter object

Type
string
Example{"limit":10,"order":["timestamp DESC"]}{"where":{"type":"temp"},"limit":10,"order":["timestamp DESC"]}{"where":{"type":"temp","timestamp":{"between":["2024-12-01T00:00:00.000Z","2024-12-01T23:59:59.999Z"]}},"order":["timestamp DESC"]}
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
  
"timestamp": "string",
  
  
"created": "string",
  
  
"type": "string",
  
  
"value": {
  
  
},
  
  
"rssi": 0,
  
  
"meta": {
  
  
},
  
  
"relatedId": 0,
  
  
"correlationId": "string",
  
  
"id": 0,
  
  
"gatewayId": 0,
  
  
"deviceId": 0,
  
  
"datapointId": 0
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value